
 LinHES - Bug # 224: NVidia Driver not installed when using PCI NVidia card

Status: Closed Priority: Normal
Author: mihanson Category:
Created: 02/25/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: Just did a fresh FE only install with 6.00.07.  Hardware specs:

    * CPU: AMD Geode NX 1750 CPU
    * Chipset: SIS 741GX & 964L
    * 3.5" 300GB Maxtor DiamondMax10 HDD
    * 5.25Ã¢Â€Â� 52X CD-ROM
    * Floppy drive
    * [[http://www.newegg.com/Product/Product.aspx?Item=N82E16814187042|Sparkle SFPC84GS512U2LP 
GeForce 8400 GS 512MB 64-bit GDDR2 PCI HDCP Ready Video Card]]
    * Memory: 768M DDR 400
    * ECS 741GX-M2 Motherboard
    * 10/100 Fast Ethernet and sound onboard

The frontend will not start due to a missing NVidia module and/or type1 font module.  See attached Xorg.0.log 
 The 8400 card was physically installed at the time of installation.  The mobo has built in video (SiS 661) that 
I'm not using and cannot disable in the BIOS.  Maybe that's confusing the OS?  I know I can try to force nvidia 
installation with pacman, but I'd like to troubleshoot why it was not detected in the first place.

History
02/25/2009 06:40 pm - jams
note to myself about where the problem is.

mount: you must specify the filesystem type
cat: /proc/cmdline: No such file or directory
pcilib: Cannot open /proc/bus/pci
lspci: Cannot find any working access method.
pcilib: Cannot open /proc/bus/pci
lspci: Cannot find any working access method.
pcilib: Cannot open /proc/bus/pci
lspci: Cannot find any working access method.
pcilib: Cannot open /proc/bus/pci
lspci: Cannot find any working access method.

cat: /etc/X11/xorg.conf: No such file or directory

02/25/2009 10:07 pm - cecil
Interesting as this works fine with Atomic Ant.

02/26/2009 03:00 pm - graysky
Worked fine on my Athlon XP-based/nforce2 system as well (I have the same video board you do, jams)

02/26/2009 07:59 pm - cecil
Can you please post the results of:
lsmod | grep agp
lsmod | grep sis

02/26/2009 11:55 pm - mihanson
<code>[mihanson@geode ~]$ lsmod | grep agp
sis_agp                 9088  1 
agpgart                31572  2 nvidia,sis_agp
[mihanson@geode ~]$ lsmod | grep sis
sis900                 22016  0 
mii                     6528  1 sis900
sis_agp                 9088  1 
agpgart                31572  2 nvidia,sis_agp
pata_sis               12164  3 
libata                158240  2 pata_sis,pata_acpi
</code>

Note that I have manually installed nvidia-beta and nvidia-utils-beta.

Mike

02/27/2009 12:32 am - cecil
Boot with the CD.
Press <tab> 
You should see >vmlinuz initrd=larch.img blah blah blah
Press the spacebard and type:
disablemodules=agpart,sis_agp
Press enter

Does it now load the nvidia drivers?  If this works, before reboot you'll need to add agpart and sis_agp to the list of blacklisted modules in /etc/rc.conf.  
Let me know.

02/27/2009 01:33 am - iscraigh
same card (256 MB) same problem when I update to trunk to try and get VDPAU.
7nif2 board disabled onboard nvidia 6.0.0.5 or 0.6 work but upgrade to trunk fails with same error

Craig

02/27/2009 01:34 am - iscraigh
Sorry to edit but mine is also a FE only install

02/27/2009 01:46 am - cecil
@Craig, lsmod | grep agp and post the results.

02/28/2009 01:09 am - mihanson
Cecil: I added <code>disablemodules=agpart,sis_agp</code> to the boot line when booting from the CD.  I used the non-splashy grub entry so I could 
see what was going on.  At the tail of the boot process, before it switched to X for the install menu, I saw that it had loaded nvidia.  After install, but 
before reboot, I made the modules parameter in /etc/rc.conf look like this:  <code>MODULES=(!agpart !sis_agp)</code> and then rebooted.  No dice.  
Same problem.  I looked at /etc/rc.conf again and my changes were not there (I think I was changing the live installer's os, not the installed os) so I 
added them again.  No dice.  Same problem.  I made a small tweak to the MODULES line so it looked like this: <code>MODULES=(!agpart 
!sis-agp)</code> and rebooted.  Still no luck.  Same problem.  I lsmod'ed sis and it only returned sis900 (ethernet driver).  I lsmod'ed agp and it returned 
nothing.  I ran updatedb and did a locate on nvidia and the only thing mildly interesting returned was nvidia-agp.ko  I changed MODULES and 
eliminated the !agpart but no luck.

02/28/2009 05:46 pm - iscraigh
Cecil

Started with a fresh .o.5 install then did
<code>pacman -Syu</code>
This failed so I did a 
<code> pacman -Sfu</code>
answered yes a couple of times and we are off to the races
next
<code>pacman -R nvidia nvidia-utils</code>
Error about failing to remove them
<code>pacman -S nvidia-beta nvidia-utils-beta</code>
try this
<code> pacman -Rd mythtv nvidia-utils nvidia mplayer</code>
error about  /lib/modules/2.6.28-LinHES/kernel/drivers/video/nvidia.ko existing
ran
<code> mv /lib/modules/2.6.28-LinHES/kernel/drivers/video/nvidia.ko /lib/modules/2.6.28-LinHES/kernel/drivers/video/nvidia.ko.old</code>

<code> pacman -S mythtv-vdpau nvidia-beta nvidia-utils-beta mplayer-vdpau-nogui directfb</code>

error about script (nvidia) failing to run properly
<code>pacman -Sd xine-lib-vdpau-svn </code>
<code>pacman -S  nvidia-beta </code>
<code>pacman -S  nvidia-utils-beta </code>

No errors this time

rebooted and it is working now with incredibly low cpu usage.

<code> lsmod | grep agp
nvidia_agp              8348  1
agpgart                31572  2 nvidia,nvidia_agp
</code>
 Very strange it does seem that nvidia is not removing properly
once removed then the install can proceed.

Craig
 

12/25/2011 03:05 pm - jams
- Target version changed from 7.2 to 6.00.04

Files
lspci.log 1.1 kB 02/25/2009 admin
lspci-vv.log 11.3 kB 02/25/2009 admin
lspci-nm.log 602 Bytes 02/25/2009 admin
xorg.conf 2.4 kB 02/25/2009 admin
Xorg.0.log 5.3 kB 02/25/2009 admin
mythvantage_install.log 46 kB 02/25/2009 admin
